Draw line by color
-
Is there a plugin that allows you to draw a line "in color" rather than drawing it and painting it?
I do quite a bit of stucco joint lines. I sometimes place them in a group and color the group but most of the time I will draw them directly on the surface then paint them individually. It all depends on the model makeup. For the second option it would be nice to be able to draw the line already painted.
Thanks.
-
Ooooo, found it!!!
https://sketchucation.com/pluginstore?pln=ChrisP_ColorEdge_ENHmmm, seems an old plugin with problems.
-
Yes that is by a French guy!
-
OUI
-
Well unfortunately it does not perform as well as expected.
It won't draw lines inside a group or component. While in edit mode it will draw the line outside the group or component, then you have to copy paste it back in. Not too efficient.Maybe there is another that works as expected?
-
Ask to Sdmitch or TIg for a more precise tricky plugin!
-
.
not sure if this can help.. the below routines will paint all selected edges with random colours
perhaps you can integrate it with a keyboard shortcutthis will paint each edge differently
@m = Sketchup.active_model; @s = @m.selection ; @mt = @m.materials ; @st = @m.styles @m.rendering_options["EdgeColorMode"] = 0 @s.grep(Sketchup;;Edge).each{|m| mat = @mt.add("edge") mat.color = rand(255),rand(255),rand(255) m.material = mat } @s.clear
this will colour the surrent selection set with the same colour
@m = Sketchup.active_model; @s = @m.selection ; @mt = @m.materials @m.rendering_options["EdgeColorMode"] = 0 mat = @mt.add("edge") mat.color = rand(255),rand(255),rand(255) @s.grep(Sketchup;;Edge).each{|m| m.material = mat } @s.clear
-
Thanks CadFather. I am looking to draw a line already in color but I will look at this.
I posted the issue in the plugin thread for ColorEdge. -
ok, and that should be possible using observers, meantime if you were to use 'model._active_edges', instead of a selection - you could capture all edges in the current context - this can be quick.
below is a better example (will use existing material if already used) - right now colour set to orange
@m = Sketchup.active_model ; @ae = @m.active_entities ; @mt = @m.materials ; @mat = nil @m.rendering_options["EdgeColorMode"] = 0 if @mt.to_a.include?(@mt['edge']) @mat = @mt['edge'] else @mat = @mt.add("edge") @mat.color = 255,128,0 end @ae.grep(Sketchup;;Edge).each{|m| m.material = @mat }
-
This could be very interesting...
Would colored lines remain colored in LayOut...?Edit: Just to answer my own question, the answer is - YES...
Colors are remaining in LO even when converting to vector...! -
Nice.
Advertisement